/*
 * Copyright (c) 2022, NVIDIA CORPORATION.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU General Public License,
 * version 2, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _NVGUARD_GROUPID_H
#define _NVGUARD_GROUPID_H

#define NVGUARD_GROUPINDEX_FIELDMASK	(0x000003FFU)
#define NVGUARD_GROUPINDEX_FIELDSHIFT	(0U)
#define NVGUARD_GROUPLAYER_FIELDMASK	(0x00003C00U)
#define NVGUARD_GROUPLAYER_FIELDSHIFT	(10U)

#define NVGUARD_GROUPID_INVALID		0x800U
#define NVGUARD_GROUPID_L1SS		0x401U
#define NVGUARD_GROUPID_SCE		0x802U
#define NVGUARD_GROUPID_DRIVEOSAPP	0x404U
#define NVGUARD_GROUPID_RCE		0x405U
#define NVGUARD_GROUPID_BPMP		0x406U
#define NVGUARD_GROUPID_SPE		0x407U
#define NVGUARD_GROUPID_RCEEC		0x808U
#define NVGUARD_GROUPID_CBB		0x409U
#define NVGUARD_GROUPID_CBBEC		0x80aU
#define NVGUARD_GROUPID_SYSRAM0		0x80bU
#define NVGUARD_GROUPID_SYSRAM1		0x80cU
#define NVGUARD_GROUPID_SOR0		0x80dU
#define NVGUARD_GROUPID_SOR1		0x80eU
#define NVGUARD_GROUPID_SOR2		0x80fU
#define NVGUARD_GROUPID_SOR3		0x810U
#define NVGUARD_GROUPID_CVSRAM		0x811U
#define NVGUARD_GROUPID_PVAEC		0x812U
#define NVGUARD_GROUPID_MC		0x813U
#define NVGUARD_GROUPID_MCF		0x814U
#define NVGUARD_GROUPID_SPI1		0x415U
#define NVGUARD_GROUPID_SPI2		0x816U
#define NVGUARD_GROUPID_SPI3		0x417U
#define NVGUARD_GROUPID_VICEC		0x818U
#define NVGUARD_GROUPID_NVLINK		0x419U
#define NVGUARD_GROUPID_NVLINKEC	0x81aU
#define NVGUARD_GROUPID_CVNOCEC		0x81bU
#define NVGUARD_GROUPID_GPIO		0x41cU
#define NVGUARD_GROUPID_PCIE0		0x41dU
#define NVGUARD_GROUPID_PCIE1		0x41eU
#define NVGUARD_GROUPID_PCIE2		0x41fU
#define NVGUARD_GROUPID_PCIE3		0x420U
#define NVGUARD_GROUPID_PCIE4		0x421U
#define NVGUARD_GROUPID_PCIE5		0x422U
#define NVGUARD_GROUPID_HOST1XEC	0x823U
#define NVGUARD_GROUPID_MISC		0x824U
#define NVGUARD_GROUPID_PVA0		0x425U
#define NVGUARD_GROUPID_PVA1		0x426U
#define NVGUARD_GROUPID_CVNOC		0x427U
#define NVGUARD_GROUPID_DGPU		0x428U
#define NVGUARD_GROUPID_PINMUX_PADRING	0x829U
#define NVGUARD_GROUPID_DLAEC		0x82aU
#define NVGUARD_GROUPID_NVENCEC		0x82bU
#define NVGUARD_GROUPID_CCPLEX		0x42cU
#define NVGUARD_GROUPID_SE		0x42dU
#define NVGUARD_GROUPID_TOP_GPCDMA	0x82eU
#define NVGUARD_GROUPID_WDT0		0x42fU
#define NVGUARD_GROUPID_WDT2		0x430U
#define NVGUARD_GROUPID_WDT1		0x431U
#define NVGUARD_GROUPID_SMMUEC		0x832U
#define NVGUARD_GROUPID_SMMU		0x433U
#define NVGUARD_GROUPID_WDT5		0x434U
#define NVGUARD_GROUPID_WDT6		0x435U
#define NVGUARD_GROUPID_IGPU		0x436U
#define NVGUARD_GROUPID_XUSB		0x437U
#define NVGUARD_GROUPID_DRAMECC		0x838U
#define NVGUARD_GROUPID_MSS		0x839U
#define NVGUARD_GROUPID_NVCSI		0x83aU
#define NVGUARD_GROUPID_DISPLAYEC	0x83bU
#define NVGUARD_GROUPID_DISPLAY		0x43cU
#define NVGUARD_GROUPID_ISP		0x83dU
#define NVGUARD_GROUPID_TSA		0x83eU
#define NVGUARD_GROUPID_EMC		0x83fU
#define NVGUARD_GROUPID_HOST1X		0x440U
#define NVGUARD_GROUPID_VIC		0x441U
#define NVGUARD_GROUPID_VI		0x842U
#define NVGUARD_GROUPID_NVENCA		0x443U
#define NVGUARD_GROUPID_NVENCB		0x444U
#define NVGUARD_GROUPID_DLA0		0x445U
#define NVGUARD_GROUPID_DLA1		0x446U
#define NVGUARD_GROUPID_NVTMON_TEGRA	0x447U
#define NVGUARD_GROUPID_TIMERS		0x448U
#define NVGUARD_GROUPID_PWM_FAN		0x449U
#define NVGUARD_GROUPID_CAN0		0x44aU
#define NVGUARD_GROUPID_CAN1		0x44bU
#define NVGUARD_GROUPID_IGPU_HOST	0x44cU
#define NVGUARD_GROUPID_IGPU_SM		0x44dU
#define NVGUARD_GROUPID_IGPU_FECS	0x44eU
#define NVGUARD_GROUPID_IGPU_GPCCS	0x44fU
#define NVGUARD_GROUPID_IGPU_MMU	0x450U
#define NVGUARD_GROUPID_IGPU_GCC	0x451U
#define NVGUARD_GROUPID_IGPU_PMU	0x452U
#define NVGUARD_GROUPID_IGPU_PGRAPH	0x453U
#define NVGUARD_GROUPID_IGPU_LTC	0x454U
#define NVGUARD_GROUPID_IGPU_HUBMMU	0x455U
#define NVGUARD_GROUPID_IGPU_PRI	0x456U
#define NVGUARD_GROUPID_IGPU_CE		0x457U
#define NVGUARD_GROUPID_HV		0x458U
#define NVGUARD_GROUPID_PLATFORM	0x459U
#define NVGUARD_GROUPID_MAX		90U

typedef uint32_t nv_guard_group_id_t;
#endif
